be.fgov.ehealth.technicalconnector.distributedkeys.jca

## Class DistributedKeyProvider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - java.security.Provider
        - - be.fgov.ehealth.technicalconnector.distributedkeys.jca.DistributedKeyProvider

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public class DistributedKeyProvider
      extends Provider

  Implementation of `Provider`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `Provider.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` Name of the provider

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedKeyProvider()`

  - ### Method Summary

    - ### Methods inherited from class java.security.Provider

      `clear, compute, computeIfAbsent, computeIfPresent, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, keys, keySet, load, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, size`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      Name of the provider
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistributedKeyProvider

          public DistributedKeyProvider()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.